local function map(mode, lhs, rhs, opts)
    local options = { noremap = true, silent = true }
    if opts then
        options = vim.tbl_extend('force', options, opts)
    end
    vim.api.nvim_set_keymap(mode, lhs, rhs, options)
end

-- 基础配置
map("n", "qq", ":q!<CR>", { desc = "exit" })
map("n", "<leader>w", ":w<CR>", { desc = "w" })
map("n", "<leader>wq", ":wqa!<CR>", { desc = "wqa!" })
-- 取消 s 默认功能
map("n", "s", "", {})
map("n", "sv", ":vsp<CR>", { desc = "split window" })
map("n", "sh", ":sp<CR>", { desc = "split " })
map("n", "sc", "<C-w>c", { desc = "close windows" })
map("n", "so", "<C-w>o", { desc = " close other windows" })
-- 切换窗口
map("n", "<A-Right>", "<C-w>l", {})
map("n", "<A-Down>", "<C-w>j", {})
map("n", "<A-Up>", "<C-w>k", {})
map("n", "<A-Left>", "<C-w>h", {})
